Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh
- - - - -

Hỏi về biến line thành polyline?


  • Please log in to reply
14 replies to this topic

#1 phantuhuong

phantuhuong

    biết dimcontinue

  • Moderator
  • PipPipPipPipPip
  • 379 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 30 July 2007 - 10:39 AM

Tôi muốn biến 1 số line (chung 1 điểm đầu nối) thành polyline, xin hỏi các bạn có cách nào không (ngoài lập trình: xác định từng đỉnh rồi nối vào)?
  • 0

Sách Lập trình VBA trong Excel cho người mới bắt đầu, tái bản năm 2014

Từng bước loại đồ Tàu ra khỏi cuộc sống!


#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3854 Bài viết
Điểm đánh giá: 4361 (đỉnh cao)

Đã gửi 30 July 2007 - 10:43 AM

Tôi muốn biến 1 số line (chung 1 điểm đầu nối) thành polyline, xin hỏi các bạn có cách nào không (ngoài lập trình: xác định từng đỉnh rồi nối vào)?

Bạn thử dùng lệnh Joint của AutoCAD xem (các phiên bản gần đây mới có).

Bạn đã thử lệnh Pline > Joint chưa?
  • 0

#3 phantuhuong

phantuhuong

    biết dimcontinue

  • Moderator
  • PipPipPipPipPip
  • 379 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 31 July 2007 - 06:47 PM

Bạn thử dùng lệnh Joint của AutoCAD xem (các phiên bản gần đây mới có).

Bạn đã thử lệnh Pline > Joint chưa?


Không phải đâu, tôi muốn biến các đường Line thành 1 polyline.
  • 0

Sách Lập trình VBA trong Excel cho người mới bắt đầu, tái bản năm 2014

Từng bước loại đồ Tàu ra khỏi cuộc sống!


#4 lamtecco2

lamtecco2

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 715 Bài viết
Điểm đánh giá: 852 (rất tốt)

Đã gửi 31 July 2007 - 07:42 PM

Không phải đâu, tôi muốn biến các đường Line thành 1 polyline.

Hình như bạn chưa thử thì phải, lệnh Pedit ( Polyline edit ) có cả trong Acad12 dùng để tạo cũng như chỉnh sửa đa tuyến ( Polyline cũng được coi là 1 đa tuyến).
  • 1

#5 phantuhuong

phantuhuong

    biết dimcontinue

  • Moderator
  • PipPipPipPipPip
  • 379 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 01 August 2007 - 11:39 AM

Hình như bạn chưa thử thì phải, lệnh Pedit ( Polyline edit ) có cả trong Acad12 dùng để tạo cũng như chỉnh sửa đa tuyến ( Polyline cũng được coi là 1 đa tuyến).


Đúng rồi, xin cám ơn. Tôi cứ nghĩ là line không thể biến thành polyline được. Lệnh PE đã chuyển line thành polyline khi ta xác nhận Yes.

PEDIT Select polyline or [Multiple]:
Object selected is not a polyline
Do you want to turn it into one? <Y>


  • 0

Sách Lập trình VBA trong Excel cho người mới bắt đầu, tái bản năm 2014

Từng bước loại đồ Tàu ra khỏi cuộc sống!


#6 ngodinhhoang

ngodinhhoang

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 March 2010 - 03:42 PM

[size="4"]Chào các bạn. Mình có 1 file ảnh về bình đồ. Sau khi scan và paste vào cad đồ lại bình đồ bằng lệnh polyline. Mình quên kiểm tra tỉ lệ file ảnh. Nên khi vẽ không đúng tỉ lệ A3. Sau đó mình block bình đồ mình đã vẽ rồi scale theo các trục cho đúng tỉ lệ A3 thì các đường bình đồ vẽ bằng polyline bị phá vỡ, không còn là đường bình đồ liền nữa. Xin các bạn chỉ giúp cách chuyển cáduơngfd bình đồ bị vỡ đó thành đường pl liền để chạy trong nova.[size="4"]
  • 0

#7 ngocbac

ngocbac

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 August 2010 - 11:08 AM

Bạn thử dùng lệnh Joint của AutoCAD xem (các phiên bản gần đây mới có).

Bạn đã thử lệnh Pline > Joint chưa?

ban dung lenh tat PE/chon vao duong line/y/j/chon cac line cung chung diem cuoi/ la ok
  • 0

#8 chaudinhphuc

chaudinhphuc

    Edu level: no10, to10

  • Advance Member
  • PipPipPipPip
  • 209 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 09 August 2010 - 12:26 PM

Vậy, tôi có 1 đường thẳng, muốn bẻ nó thành các đoạn gấp khúc dạng giống như Pline bằng cách click chọn các điểm để bẻ gấp khúc thì làm bằng cách nào các Bác.
  • 0

Học nữa, học mãi.       Không thầy đố mày làm nên


#9 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 09 August 2010 - 01:48 PM

Vậy, tôi có 1 đường thẳng, muốn bẻ nó thành các đoạn gấp khúc dạng giống như Pline bằng cách click chọn các điểm để bẻ gấp khúc thì làm bằng cách nào các Bác.

bác Hoành có lisp BF đó bạn!chiu khó search đi nhé!
  • 0

#10 Nghia_XD

Nghia_XD

    biết vẽ polygon

  • Members
  • PipPip
  • 76 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 11 August 2010 - 11:00 AM

Không phải đâu, tôi muốn biến các đường Line thành 1 polyline.

của bạn đây, bạn sử dụng lisp này đi
(defun c:nn (/ tdt ssdt sodt index)
(defun ObjName (ssdt /)
(cdr (assoc '0 (entget ssdt)))
)
(defun MoPL (ssdt /)
(= (cdr (assoc '70 (entget ssdt))) 0)
)
(defun NoiPL (ssdt /)
(if (MoPL ssdt)
(command ".PEDIT" ssdt "J" "All" "" "X")
)
)
(defun NoiLC (ssdt /)
(command ".PEDIT" ssdt "Y" "J" "All" "" "X")
)
(setq
tdt (ssget)
sodt (sslength tdt)
index 0
)
(repeat sodt
(setq
ssdt (ssname tdt index)
index (1+ index)
)
(if (or (= (Objname ssdt) "LWPOLYLINE")
(= (Objname ssdt) "POLYLINE")
)
(NoiPL ssdt)
)
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC"))
(NoiLC ssdt)
)
)
(princ)
)
  • 0

Xây dựng dân dụng và công nghiệp


#11 pfievxd

pfievxd

    biết vẽ spline

  • Members
  • PipPip
  • 94 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 07 March 2011 - 11:53 AM

Thường thì lisp nn này dùng rất hiệu quả, tuy nhiên với 1 vài bản vẽ thì kết quả là "ko được gì cả @_@", dùng PE cũng ko ăn thua, thật là đau đầu :(
  • 0

#12 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 5835 Bài viết
Điểm đánh giá: 3034 (tuyệt vời)

Đã gửi 07 March 2011 - 03:00 PM

Thường thì lisp nn này dùng rất hiệu quả, tuy nhiên với 1 vài bản vẽ thì kết quả là "ko được gì cả @_@", dùng PE cũng ko ăn thua, thật là đau đầu :(

Hề hề hề,
Bạn hãy gửi một bản vẽ mà kết quả là không được gì lên để mọi người ngâm cứu xem sao nhé....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#13 pfievxd

pfievxd

    biết vẽ spline

  • Members
  • PipPip
  • 94 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 07 March 2011 - 07:59 PM

Đây là 1 file em đang làm Bình đồ, đối tượng là đường tim tuyến gồm arc, line, lwpline , nn bó tay
  • 0

#14 poker

poker

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 July 2011 - 06:13 PM

trước tiên xin lỗi vì đã moi lại chủ đề này.
Hiện tại mình đang dùng cad 2004 (đã add Nova) Mình có tham khảo cách biến line thành polyline ở nhiều diễn đàn, qua nhiều bài viết (kể cả cách dùng lisp nn) nhưng vẫn ko nối được.

Xin hỏi, mình thấy mọi người bảo dùng lệnh Pedit có thể nối các line lại thành Polyline. Nhưng sao lệnh Pedit của mình ko thể làm được.
Theo mọi người thì lệnh PE sẽ ra thế này

Command: pe
PEDIT Select polyline or [Multiple]: m
Select objects: Specify opposite corner: 3 found
Select objects:
Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j
Join Type = Extend
Enter fuzz distance or [Jointype] <8.0270>: 0
2 segments added to polyline
Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]:


Nhưng ở mình thì lại ra thế này

Command: pe
PEDIT Select polyline or [Multiple]: m
Select objects: Specify opposite corner: 3 found
Select objects:
Enter an option [Close/Open/Spline/Decurve/Undo]:


  • 0

#15 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 912 Bài viết
Điểm đánh giá: 198 (tàm tạm)

Đã gửi 08 July 2011 - 07:17 PM

trước tiên xin lỗi vì đã moi lại chủ đề này.
Hiện tại mình đang dùng cad 2004 (đã add Nova) Mình có tham khảo cách biến line thành polyline ở nhiều diễn đàn, qua nhiều bài viết (kể cả cách dùng lisp nn) nhưng vẫn ko nối được.

Xin hỏi, mình thấy mọi người bảo dùng lệnh Pedit có thể nối các line lại thành Polyline. Nhưng sao lệnh Pedit của mình ko thể làm được.
Theo mọi người thì lệnh PE sẽ ra thế này


Nhưng ở mình thì lại ra thế này

Bạn gửi bản vẽ lên đây xem sao? Có thể là nó có độ cao hoặc bề rộng with của nó không giống nhau hoặc line nó bị hở. Bạn tìm hiểu lại xem.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn